package com.fs.live.service.impl;


import com.fs.common.utils.DateUtils;
import com.fs.live.domain.LiveCompanyCode;
import com.fs.live.mapper.LiveCompanyCodeMapper;
import com.fs.live.service.ILiveCompanyCodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 直播间销售小程序二维码Service业务层处理
 *
 * @author fs
 * @date 2025-09-10
 */
@Service
public class LiveCompanyCodeServiceImpl implements ILiveCompanyCodeService {
    @Autowired
    private LiveCompanyCodeMapper baseMapper;

    /**
     * 查询直播间销售小程序二维码
     *
     * @param id 直播间销售小程序二维码主键
     * @return 直播间销售小程序二维码
     */
    @Override
    public LiveCompanyCode selectLiveCompanyCodeById(Long id)
    {
        return baseMapper.selectLiveCompanyCodeById(id);
    }

    /**
     * 查询直播间销售小程序二维码列表
     *
     * @param liveCompanyCode 直播间销售小程序二维码
     * @return 直播间销售小程序二维码
     */
    @Override
    public List<LiveCompanyCode> selectLiveCompanyCodeList(LiveCompanyCode liveCompanyCode)
    {
        return baseMapper.selectLiveCompanyCodeList(liveCompanyCode);
    }

    /**
     * 新增直播间销售小程序二维码
     *
     * @param liveCompanyCode 直播间销售小程序二维码
     * @return 结果
     */
    @Override
    public int insertLiveCompanyCode(LiveCompanyCode liveCompanyCode)
    {
        liveCompanyCode.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertLiveCompanyCode(liveCompanyCode);
    }

    /**
     * 修改直播间销售小程序二维码
     *
     * @param liveCompanyCode 直播间销售小程序二维码
     * @return 结果
     */
    @Override
    public int updateLiveCompanyCode(LiveCompanyCode liveCompanyCode)
    {
        liveCompanyCode.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateLiveCompanyCode(liveCompanyCode);
    }

    /**
     * 批量删除直播间销售小程序二维码
     *
     * @param ids 需要删除的直播间销售小程序二维码主键
     * @return 结果
     */
    @Override
    public int deleteLiveCompanyCodeByIds(Long[] ids)
    {
        return baseMapper.deleteLiveCompanyCodeByIds(ids);
    }

    /**
     * 删除直播间销售小程序二维码信息
     *
     * @param id 直播间销售小程序二维码主键
     * @return 结果
     */
    @Override
    public int deleteLiveCompanyCodeById(Long id)
    {
        return baseMapper.deleteLiveCompanyCodeById(id);
    }

    @Override
    public LiveCompanyCode selectByLiveIdAndUser(Long liveId, Long companyId, Long userId) {
        return baseMapper.selectByLiveIdAndUser(liveId, companyId, userId);
    }
}
